Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class ElemDesc

    java.lang.Object
      org.apache.xml.serializer.ElemDesc

public final class ElemDesc
extends java.lang.Object

This class has a series of flags (bit values) that describe an HTML element

Field Summary
`static int` | `ASPECIAL` Bit position if this element type is ???.
`static int` | `ATTREMPTY` Bit position if this attribute type is an empty type.
`static int` | `ATTRURL` Bit position if this attribute type is a URL.
`static int` | `BLOCK` Bit position if this element type is a block.
`static int` | `BLOCKFORM` Bit position if this element type is a block form.
`static int` | `BLOCKFORMFIELDSET` Bit position if this element type is a block form field set (??
`static int` | `CDATA` Bit position if this element type is CDATA.
`static int` | `EMPTY` Bit position if this element type is empty.
`static int` | `FLOW` Bit position if this element type is a flow.
`static int` | `FONTSTYLE` Bit position if this element type is a font style.
`static int` | `FORMCTRL` Bit position if this element type is a form control.
`static int` | `HEAD` Bit position if this element type is a head element (i.e.
`static int` | `HEADELEM` Bit position if this element type is a header element (i.e.
`static int` | `HEADMISC` Bit position if this element type is an odd header element.
`static int` | `INLINE` Bit position if this element type should be inlined.
`static int` | `INLINEA` Bit position if this element type is INLINEA (??
`static int` | `INLINELABEL` Bit position if this element type is an inline label.
`static int` | `LIST` Bit position if this element type is a list.
`static int` | `PCDATA` Bit position if this element type is PCDATA.
`static int` | `PHRASE` Bit position if this element type is a phrase.
`static int` | `PREFORMATTED` Bit position if this element type is a preformatted type.
`static int` | `RAW` Bit position if this element type is should be raw characters.
`static int` | `SPECIAL` Bit position if this element type is ???.
`static int` | `WHITESPACESENSITIVE` Bit position if this element type is whitespace sensitive.

Constructor Summary
`ElemDesc(int flags)` Construct an ElemDesc from a set of bit flags.

Method Summary
`int` | `getFlags()`
`boolean` | `is(int flags)` Tell if this element type has the basic bit properties that are passed as an argument.
`boolean` | `isAttrFlagSet(java.lang.String name, int flags)` Tell if any of the bits of interest are set for a named attribute type.
`void` | `setAttr(java.lang.String name, int flags)` Set an attribute name and it's bit properties.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final int EMPTY

  Bit position if this element type is empty.

  See Also:
    Constant Field Values

### FLOW

    public static final int FLOW

  Bit position if this element type is a flow.

  See Also:
    Constant Field Values

### BLOCK

    public static final int BLOCK

  Bit position if this element type is a block.

  See Also:
    Constant Field Values

### BLOCKFORM

    public static final int BLOCKFORM

  Bit position if this element type is a block form.

  See Also:
    Constant Field Values

### BLOCKFORMFIELDSET

    public static final int BLOCKFORMFIELDSET

  Bit position if this element type is a block form field set (?? -sb).

  See Also:
    Constant Field Values

### CDATA

    public static final int CDATA

  Bit position if this element type is CDATA.

  See Also:
    Constant Field Values

### PCDATA

    public static final int PCDATA

  Bit position if this element type is PCDATA.

  See Also:
    Constant Field Values

### RAW

    public static final int RAW

  Bit position if this element type is should be raw characters.

  See Also:
    Constant Field Values

### INLINE

    public static final int INLINE

  Bit position if this element type should be inlined.

  See Also:
    Constant Field Values

### INLINEA

    public static final int INLINEA

  Bit position if this element type is INLINEA (?? -sb).

  See Also:
    Constant Field Values

### INLINELABEL

    public static final int INLINELABEL

  Bit position if this element type is an inline label.

  See Also:
    Constant Field Values

### FONTSTYLE

    public static final int FONTSTYLE

  Bit position if this element type is a font style.

  See Also:
    Constant Field Values

### PHRASE

    public static final int PHRASE

  Bit position if this element type is a phrase.

  See Also:
    Constant Field Values

### FORMCTRL

    public static final int FORMCTRL

  Bit position if this element type is a form control.

  See Also:
    Constant Field Values

### SPECIAL

    public static final int SPECIAL

  Bit position if this element type is ???.

  See Also:
    Constant Field Values

### ASPECIAL

    public static final int ASPECIAL

  Bit position if this element type is ???.

  See Also:
    Constant Field Values

### HEADMISC

    public static final int HEADMISC

  Bit position if this element type is an odd header element.

  See Also:
    Constant Field Values

### HEAD

    public static final int HEAD

  Bit position if this element type is a head element (i.e. H1, H2, etc.)

  See Also:
    Constant Field Values

### LIST

    public static final int LIST

  Bit position if this element type is a list.

  See Also:
    Constant Field Values

### PREFORMATTED

    public static final int PREFORMATTED

  Bit position if this element type is a preformatted type.

  See Also:
    Constant Field Values

### WHITESPACESENSITIVE

    public static final int WHITESPACESENSITIVE

  Bit position if this element type is whitespace sensitive.

  See Also:
    Constant Field Values

### HEADELEM

    public static final int HEADELEM

  Bit position if this element type is a header element (i.e. HEAD).

  See Also:
    Constant Field Values

### ATTRURL

    public static final int ATTRURL

  Bit position if this attribute type is a URL.

  See Also:
    Constant Field Values

### ATTREMPTY

    public static final int ATTREMPTY

  Bit position if this attribute type is an empty type.

  See Also:
    Constant Field Values

Constructor Detail

### ElemDesc

    public ElemDesc(int flags)

  Construct an ElemDesc from a set of bit flags.

Parameters:
  `flags` - Bit flags that describe the basic properties of this element type.

Method Detail

### is

    public boolean is(int flags)

  Tell if this element type has the basic bit properties that are passed as an argument.

  Parameters:
    `flags` - Bit flags that describe the basic properties of interest.
  Returns:
    true if any of the flag bits are true.

### getFlags

    public int getFlags()

### setAttr

    public void setAttr(java.lang.String name,
                        int flags)

  Set an attribute name and it's bit properties.

  Parameters:
    `name` - non-null name of attribute, in upper case.
    `flags` - flag bits.

### isAttrFlagSet

    public boolean isAttrFlagSet(java.lang.String name,
                                 int flags)

  Tell if any of the bits of interest are set for a named attribute type.

  Parameters:
    `name` - non-null reference to attribute name, in any case.
    `flags` - flag mask.
  Returns:
    true if any of the flags are set for the named attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.